<?php
add_event_handler('loc_begin_index', 'travelmap_change_section_title_categories');
add_event_handler('init', 'travelmap_set_homepage');

function travelmap_change_section_title_categories()
{
	global $page;
	
	if($page['section'] == 'categories')
	{
		global $conf;
	
		load_language('plugin.lang', dirname(__FILE__).'/../');
	
		include 'default_config.php';
	
		if(isset($conf['TravelMap']['travelmap_title']) && $conf['TravelMap']['travelmap_title'] != '')
		{
			$travelmap_title = trigger_change('render_category_name', $conf['TravelMap']['travelmap_title']);
		}
		if(isset($conf['TravelMap']['categories_title']) && $conf['TravelMap']['categories_title'] != '')
		{
			$categories_title = trigger_change('render_category_name', $conf['TravelMap']['categories_title']);
		}
		if(isset($conf['TravelMap']['change_categories_section_title']) && $conf['TravelMap']['change_categories_section_title'] == true)
		{
			$title_parts = explode(' / ', $page['section_title'], 2);
			if(count($title_parts) == 1)
			{
				$page['section_title'] = get_travelmap_section_title($travelmap_title, $categories_title);
			}
			else
			{
				$page['section_title'] = get_travelmap_section_title($travelmap_title, $categories_title) . ' / ' . $title_parts[1];
			}
		}
	
	}
}

function travelmap_set_homepage()
{
	global $page, $conf;
	
	if(isset($conf['TravelMap']['make_homepage']) && $conf['TravelMap']['make_homepage'] && !isset($page['section']))
	{
		$page['section'] = 'travelmap';
		$page['is_homepage'] = true;
	}
}
?>